Index: pycodeshooter/trunk/shooter/system.js
===================================================================
--- pycodeshooter/trunk/shooter/system.js	(revision 104)
+++ pycodeshooter/trunk/shooter/system.js	(revision 106)
@@ -35,5 +35,5 @@
  */
 var DeathPiece = function(sizes, colors, x, y, dir, speed) {
-    var that = new LinerBullet(sizes[0], colors[0], x, y, dir, speed);
+    var that = new LinerBullet(sizes[0], colors[0], null, x, y, dir, speed);
 
     var sizeIdx  = -1;
@@ -64,5 +64,5 @@
         var s = Math.ceil(Math.random() * 5);
         System.backgroundObject.push(
-            new LinerBullet(size, color, x, 0, 0.5 * Math.PI, s));
+            new LinerBullet(size, color, null, x, 0, 0.5 * Math.PI, s));
     }
 
@@ -205,5 +205,5 @@
         System.screen.ctx,
         "source-over",
-        "rgba(8,8,8,0.5)",
+        "rgba(8,8,8,0.8)",
         System.screen.width,
         System.screen.height
@@ -300,5 +300,6 @@
         [new LinerBarrage(YExtendBullet,
                           playerData.shotsize,
-                          "#3FF",
+                          "rgba(64,64,128,0.7)",
+                          null,
                           playerData.shotinterval,
                           playerData.shotspeed,
@@ -307,5 +308,6 @@
          new LinerBarrage(YExtendBullet,
                           playerData.shotsize,
-                          "#3FF",
+                          "rgba(64,64,128,0.7)",
+                          null,
                           playerData.shotinterval,
                           playerData.shotspeed,
@@ -314,5 +316,6 @@
          new CircularBarrage(LinerBullet,
                           playerData.shotsize,
-                          "#3FF",
+                          "rgba(64,64,128,0.7)",
+                          null,
                           playerData.shotinterval,
                           playerData.shotspeed,
@@ -329,5 +332,19 @@
     var brrgs   = new Array();
 
-    setMessage(System.message, "ActionsIdx:");
+    var bulletWay         = Math.ceil(bossData.concentration / 10);
+    var bulletInterval    = Math.round(50 * 1 / Math.log(bossData.skillpoint + 0.1));
+    var bulletSize        = Math.round(Math.log(bossData.luck + 1));
+    var bulletFrameWidth  = (bulletSize + 5) * 2;
+    var bulletFrameHeight = (bulletSize + 5) * 4;
+    var bulletSpeed       = bossData.strength / 15;
+    bulletSpeed = Math.log(bulletSpeed < 1.5 ? 1.5 : bulletSpeed);
+
+    setMessage(System.message, "");
+    addMessage(System.message, " bulletWay:" + String(bulletWay) + "<br>");
+    addMessage(System.message, " bulletInterval:" + String(bulletInterval) + "<br>");
+    addMessage(System.message, " bulletSize:" + String(bulletSize) + "<br>");
+    addMessage(System.message, " bulletSpeed:" + String(bulletSpeed) + "<br>");
+
+    addMessage(System.message, "ActionsIdx:");
 
     for (var i = 0; i < numAct; i++) {
@@ -350,15 +367,14 @@
         for (var k = 0; k < numBlt; k++) {
             var iidx = (bossData.skills.length + i + k) % EnemyBullets.length;
-            var ss   = Math.log(bossData.luck * 15);
-            var sp   = bossData.strength / 15;
-            sp = sp < 1.5 ? 1.5 : sp;
             brrgs.push(
                 new brrgCls(
                     EnemyBullets[iidx],
-                    ss < 3 ? 3 : ss,
+                    bulletSize,
                     "#FF3",
-                    200 * 1 / Math.log(bossData.skillpoint + 0.1),
-                    Math.log(sp),
-                    Math.ceil(bossData.concentration / 5)
+                    {"style": "rect", "color": "rgba(128,32,32,0.5)",
+                     "width": bulletFrameWidth, "height": bulletFrameHeight},
+                    bulletInterval,
+                    bulletSpeed,
+                    bulletWay
                 )
             );
@@ -370,5 +386,5 @@
     }
 
-    var size = Math.ceil(50 * (1 / bossData.defense));
+    var size = Math.ceil((System.screen.width / 2) * (1 / bossData.defense));
     size = size < playerData.size ? playerData.size : size;
     System.boss = new Trooper(
